Manifest-Version: 1.0
Bnd-LastModified: 1749223407898
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 100.0.1
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="4.1.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.5.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.3.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.1.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.configuration.provider;version="1.0.0";uses:=
 "com.liferay.portal.kernel.module.configuration",com.liferay.asset.ke
 rnel.exception;version="3.0.1";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="9.2.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="3.1.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="8.0.1";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="10.0.0";uses:="com.liferay.
 asset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.por
 tal.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.service,com.liferay.port
 al.kernel.service.persistence,com.liferay.portal.kernel.service.persi
 stence.change.tracking,com.liferay.portal.kernel.util",com.liferay.as
 set.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ve
 rsion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .background.task.kernel.util.comparator;version="1.1.0";uses:="com.li
 feray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",co
 m.liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.e
 xception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",
 com.liferay.counter.kernel.model;version="4.1.0";uses:="com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel
 .annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kern
 el.util",com.liferay.counter.kernel.service;version="2.1.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.transaction",com.liferay.counter.kernel.serv
 ice.persistence;version="2.0.2",com.liferay.document.library.kernel;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.lifera
 y.document.library.kernel.antivirus;version="3.1.0";uses:="com.lifera
 y.portal.kernel.exception",com.liferay.document.library.kernel.docume
 nt.conversion;version="1.0.0",com.liferay.document.library.kernel.exc
 eption;version="4.1.0";uses:="com.liferay.portal.kernel.exception",co
 m.liferay.document.library.kernel.model;version="8.1.0";uses:="com.li
 feray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,co
 m.liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifer
 ay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.lifera
 y.portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.
 portal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper
 ,com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel
 .util",com.liferay.document.library.kernel.service;version="10.0.0";u
 ses:="com.liferay.asset.kernel.model,com.liferay.document.library.ker
 nel.exception,com.liferay.document.library.kernel.model,com.liferay.d
 ynamic.data.mapping.kernel,com.liferay.exportimport.kernel.lar,com.li
 feray.petra.function,com.liferay.petra.sql.dsl.query,com.liferay.port
 al.kernel.cache.thread.local,com.liferay.portal.kernel.change.trackin
 g,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.increment,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.m
 essaging.async,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.repository.model,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.security.access.control,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.service.change.tracking,com.liferay.portal.
 kernel.service.permission,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.
 portal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay
 .document.library.kernel.service.persistence;version="6.0.0";uses:="c
 om.liferay.document.library.kernel.exception,com.liferay.document.lib
 rary.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.porta
 l.kernel.service,com.liferay.portal.kernel.service.persistence,com.li
 feray.portal.kernel.service.persistence.change.tracking,com.liferay.p
 ortal.kernel.util",com.liferay.document.library.kernel.store;version=
 "3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.transaction",com.liferay.document.library.kernel.util;version
 ="8.0.0";uses:="com.liferay.document.library.kernel.exception,com.lif
 eray.document.library.kernel.model,com.liferay.exportimport.kernel.la
 r,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.repos
 itory.model,com.liferay.portal.kernel.search,com.liferay.portal.kerne
 l.service,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.u
 til,com.liferay.portal.kernel.xml,javax.portlet",com.liferay.document
 .library.kernel.util.comparator;version="3.0.0";uses:="com.liferay.do
 cument.library.kernel.model,com.liferay.portal.kernel.repository.mode
 l,com.liferay.portal.kernel.util",com.liferay.document.library.kernel
 .versioning;version="1.0.0";uses:="com.liferay.document.library.kerne
 l.model",com.liferay.dynamic.data.mapping.kernel;version="3.0.0";uses
 :="com.liferay.expando.kernel.model,com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.search,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.theme",com.liferay.expando.kernel.exception;vers
 ion="2.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.e
 xpando.kernel.model;version="6.0.0";uses:="com.liferay.petra.sql.dsl,
 com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,c
 om.liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.model.change.tracking,com.liferay.portal.kernel.mode
 l.wrapper,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .util",com.liferay.expando.kernel.model.adapter;version="3.1.0";uses:
 ="com.liferay.expando.kernel.model,com.liferay.portal.kernel.model",c
 om.liferay.expando.kernel.service;version="1.8.0";uses:="com.liferay.
 expando.kernel.model,com.liferay.petra.function,com.liferay.petra.sql
 .dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.persistence.change.tracking,com.liferay.portal.kernel.t
 ransaction,com.liferay.portal.kernel.util",com.liferay.expando.kernel
 .service.permission;version="1.0.0";uses:="com.liferay.expando.kernel
 .model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 security.permission",com.liferay.expando.kernel.service.persistence;v
 ersion="3.2.0";uses:="com.liferay.expando.kernel.exception,com.lifera
 y.expando.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.service.persistence,c
 om.liferay.portal.kernel.service.persistence.change.tracking,com.life
 ray.portal.kernel.util",com.liferay.expando.kernel.util;version="4.0.
 0";uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.
 service",com.liferay.exportimport.kernel.background.task;version="1.3
 .1",com.liferay.exportimport.kernel.configuration;version="5.0.0";use
 s:="com.liferay.exportimport.kernel.model,com.liferay.portal.kernel.b
 ackgroundtask,com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,javax.portlet",com.liferay.exportimport.kernel.configura
 tion.constants;version="1.0.0",com.liferay.exportimport.kernel.contro
 ller;version="2.0.0";uses:="com.liferay.exportimport.kernel.lar,com.l
 iferay.exportimport.kernel.model",com.liferay.exportimport.kernel.exc
 eption;version="2.1.0";uses:="com.liferay.exportimport.kernel.lar,com
 .liferay.portal.kernel.exception",com.liferay.exportimport.kernel.lar
 ;version="4.3.0";uses:="com.liferay.expando.kernel.model,com.liferay.
 exportimport.kernel.model,com.liferay.portal.kernel.backgroundtask,co
 m.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.l
 iferay.portal.kernel.xml,com.liferay.portal.kernel.zip,javax.portlet"
 ,com.liferay.exportimport.kernel.lifecycle;version="4.0.0";uses:="com
 .liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.mode
 l,com.liferay.portal.kernel.model",com.liferay.exportimport.kernel.li
 fecycle.constants;version="1.0.0",com.liferay.exportimport.kernel.mod
 el;version="6.0.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra
 .sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.portal
 .kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.model.wrapper,com.liferay.portal.kernel.util",com.liferay.exportimp
 ort.kernel.service;version="2.7.0";uses:="com.liferay.exportimport.ke
 rnel.lar,com.liferay.exportimport.kernel.model,com.liferay.petra.sql.
 dsl.query,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.jsonwebservice,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.security.access.control,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.systemevent,com.liferay.portal.kernel.transaction
 ,com.liferay.portal.kernel.util,javax.portlet",com.liferay.exportimpo
 rt.kernel.service.persistence;version="2.4.0";uses:="com.liferay.expo
 rtimport.kernel.exception,com.liferay.exportimport.kernel.model,com.l
 iferay.portal.kernel.dao.orm,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.service.persistence,com.liferay.portal.kernel.uti
 l",com.liferay.exportimport.kernel.staging;version="2.3.0";uses:="com
 .liferay.exportimport.kernel.lar,com.liferay.exportimport.kernel.mode
 l,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.au
 th,com.liferay.portal.kernel.util,com.liferay.portal.kernel.workflow,
 com.liferay.portal.kernel.xml,javax.portlet,javax.servlet.http",com.l
 iferay.exportimport.kernel.staging.constants;version="1.0.0",com.life
 ray.exportimport.kernel.staging.permission;version="1.0.0";uses:="com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.security.permi
 ssion",com.liferay.exportimport.kernel.xstream;version="2.0.0",com.li
 feray.layout.admin.kernel.model;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.model",com.liferay.layout.admin.kernel.visibility;version
 ="2.0.0",com.liferay.layout.seo.kernel;version="2.0.0";uses:="com.lif
 eray.portal.kernel.exception,com.liferay.portal.kernel.model,com.life
 ray.portal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.l
 ayout.utility.page.kernel;version="1.0.0";uses:="javax.servlet,javax.
 servlet.http",com.liferay.layout.utility.page.kernel.constants;versio
 n="2.0.0",com.liferay.layouts.admin.kernel.util;version="100.0.1",com
 .liferay.mail.kernel.model;version="1.1.0";uses:="javax.mail.internet
 ",com.liferay.mail.kernel.service;version="5.0.0";uses:="com.liferay.
 mail.kernel.model,com.liferay.portal.kernel.exception,com.liferay.por
 tal.kernel.transaction,javax.mail",com.liferay.mail.kernel.template;v
 ersion="2.0.0";uses:="com.liferay.portal.kernel.util",com.liferay.por
 tal.kernel.annotation;version="7.0.0",com.liferay.portal.kernel.aop;v
 ersion="1.0.1",com.liferay.portal.kernel.application.type;version="1.
 0.0",com.liferay.portal.kernel.audit;version="7.1.1";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.json",com.lifera
 y.portal.kernel.backgroundtask;version="10.0.0";uses:="com.liferay.pe
 tra.lang,com.liferay.portal.kernel.backgroundtask.display,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.messaging,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.repository.model,co
 m.liferay.portal.kernel.service,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.backgroundtask.constants;version="1.1.0",com.lif
 eray.portal.kernel.backgroundtask.display;version="3.0.0";uses:="com.
 liferay.portal.kernel.backgroundtask,javax.servlet.http",com.liferay.
 portal.kernel.bean;version="10.1.0";uses:="javax.portlet,javax.servle
 t.http",com.liferay.portal.kernel.cache;version="14.0.0";uses:="com.l
 iferay.portal.kernel.transaction",com.liferay.portal.kernel.cache.ind
 ex;version="6.2.0";uses:="com.liferay.portal.kernel.cache",com.lifera
 y.portal.kernel.cache.key;version="8.0.0";uses:="com.liferay.petra.st
 ring",com.liferay.portal.kernel.cache.thread.local;version="2.0.0";us
 es:="com.liferay.portal.kernel.transaction",com.liferay.portal.kernel
 .cache.transactional;version="3.1.0";uses:="com.liferay.portal.kernel
 .cache,com.liferay.portal.kernel.transaction",com.liferay.portal.kern
 el.cal;version="7.0.0",com.liferay.portal.kernel.captcha;version="7.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.se
 rvlet.http",com.liferay.portal.kernel.change.tracking;version="2.2.0"
 ;uses:="com.liferay.petra.lang,com.liferay.portal.kernel.exception",c
 om.liferay.portal.kernel.cluster;version="8.0.0";uses:="com.liferay.p
 ortal.kernel.concurrent,com.liferay.portal.kernel.exception,com.lifer
 ay.portal.kernel.messaging,com.liferay.portal.kernel.util",com.lifera
 y.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.liferay.
 portal.kernel.cluster,com.liferay.portal.kernel.messaging",com.lifera
 y.portal.kernel.comment;version="4.0.0";uses:="com.liferay.exportimpo
 rt.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.portal.ke
 rnel.exception,com.liferay.portal.kernel.model,com.liferay.portal.ker
 nel.security.permission,com.liferay.portal.kernel.service,com.liferay
 .ratings.kernel.model",com.liferay.portal.kernel.comment.display.cont
 ext;version="1.0.0";uses:="com.liferay.portal.kernel.comment,com.life
 ray.portal.kernel.display.context,com.liferay.portal.kernel.exception
 ,javax.servlet.http",com.liferay.portal.kernel.concurrent;version="8.
 0.0",com.liferay.portal.kernel.configuration;version="7.0.0",com.life
 ray.portal.kernel.cookies;version="3.1.0";uses:="com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.settings,javax.servlet.http
 ",com.liferay.portal.kernel.cookies.constants;version="1.1.0",com.lif
 eray.portal.kernel.dao.db;version="10.2.0";uses:="com.liferay.petra.f
 unction,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jdbc;ve
 rsion="9.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.kerne
 l.dao.jdbc.aop;version="8.0.0",com.liferay.portal.kernel.dao.jdbc.poo
 l.metrics;version="1.0.0",com.liferay.portal.kernel.dao.orm;version="
 12.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.petra.
 function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.ca
 che,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.search,com.liferay.portal.kernel.service
 ,com.liferay.portal.kernel.service.persistence,com.liferay.portal.ker
 nel.transaction,com.liferay.portal.kernel.util",com.liferay.portal.ke
 rnel.dao.search;version="9.0.0";uses:="com.liferay.petra.function,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.
 liferay.portal.kernel.search,com.liferay.portal.kernel.util,javax.por
 tlet,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.depe
 ndency.manager;version="1.2.0",com.liferay.portal.kernel.deploy.auto;
 version="8.0.0";uses:="com.liferay.portal.kernel.deploy.auto.context,
 com.liferay.portal.kernel.exception,com.liferay.portal.kernel.plugin"
 ,com.liferay.portal.kernel.deploy.auto.context;version="7.0.0";uses:=
 "com.liferay.portal.kernel.plugin",com.liferay.portal.kernel.deploy.h
 ot;version="7.1.2";uses:="com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.messaging,com.liferay.portal.kernel.plugin,com.lif
 eray.portal.kernel.util,javax.servlet",com.liferay.portal.kernel.disp
 lay.context;version="2.0.0";uses:="javax.servlet.http,org.osgi.framew
 ork",com.liferay.portal.kernel.display.context.helper;version="2.0.0"
 ;uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet,com.liferay.portal.kernel.security.permission,com.liferay.portal
 .kernel.theme,javax.servlet.http",com.liferay.portal.kernel.editor;ve
 rsion="8.0.0",com.liferay.portal.kernel.editor.configuration;version=
 "1.1.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kern
 el.portlet,com.liferay.portal.kernel.theme",com.liferay.portal.kernel
 .editor.constants;version="1.0.0",com.liferay.portal.kernel.encryptor
 ;version="1.0.0",com.liferay.portal.kernel.events;version="6.3.0";use
 s:="com.liferay.portal.kernel.exception,javax.portlet,javax.servlet.h
 ttp",com.liferay.portal.kernel.exception;version="13.1.0";uses:="com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.security.auth,c
 om.liferay.portal.kernel.util",com.liferay.portal.kernel.facebook;ver
 sion="7.0.0";uses:="com.liferay.portal.kernel.json,javax.portlet",com
 .liferay.portal.kernel.feature.flag;version="1.0.0",com.liferay.porta
 l.kernel.format;version="7.0.0",com.liferay.portal.kernel.frontend.es
 m;version="1.0.0",com.liferay.portal.kernel.frontend.source.map;versi
 on="1.0.0",com.liferay.portal.kernel.group.capability;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.im
 age;version="10.0.0";uses:="com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.model",com.liferay.portal.kernel.increment;versi
 on="7.1.0";uses:="com.liferay.petra.lang",com.liferay.portal.kernel.i
 nstance.lifecycle;version="2.1.0";uses:="com.liferay.portal.kernel.mo
 del",com.liferay.portal.kernel.interval;version="1.0.0";uses:="com.li
 feray.portal.kernel.exception",com.liferay.portal.kernel.io;version="
 9.0.0",com.liferay.portal.kernel.io.constants;version="1.0.0",com.lif
 eray.portal.kernel.io.unsync;version="8.0.0";uses:="com.liferay.petra
 .string",com.liferay.portal.kernel.jazzy;version="1.0.0",com.liferay.
 portal.kernel.jmx.model;version="7.0.0";uses:="javax.management",com.
 liferay.portal.kernel.jndi;version="7.0.0";uses:="javax.naming",com.l
 iferay.portal.kernel.json;version="11.0.0";uses:="com.liferay.petra.f
 unction,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .log",com.liferay.portal.kernel.jsonwebservice;version="9.0.0";uses:=
 "com.liferay.portal.kernel.exception,com.liferay.portal.kernel.util,j
 avax.servlet,javax.servlet.http",com.liferay.portal.kernel.language;v
 ersion="11.0.0";uses:="com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.resource.bundle,javax.portlet,javax.servlet.http",com
 .liferay.portal.kernel.language.constants;version="1.0.0",com.liferay
 .portal.kernel.layoutconfiguration.util;version="4.0.0";uses:="com.li
 feray.petra.string,com.liferay.portal.kernel.model,javax.servlet.http
 ",com.liferay.portal.kernel.license;version="1.0.0",com.liferay.porta
 l.kernel.license.messaging;version="3.0.0",com.liferay.portal.kernel.
 license.util;version="1.0.0";uses:="com.liferay.portal.kernel.json,co
 m.liferay.portal.kernel.license",com.liferay.portal.kernel.lock;versi
 on="9.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.po
 rtal.kernel.log;version="8.0.0",com.liferay.portal.kernel.login;versi
 on="1.0.0",com.liferay.portal.kernel.lpkg;version="2.0.0",com.liferay
 .portal.kernel.management;version="8.0.0";uses:="com.liferay.portal.k
 ernel.exception",com.liferay.portal.kernel.management.jmx;version="6.
 2.0";uses:="com.liferay.portal.kernel.jmx.model,com.liferay.portal.ke
 rnel.management,javax.management",com.liferay.portal.kernel.messaging
 ;version="15.0.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.portal.kernel.messaging.async;version="6.2.0",com.liferay.portal
 .kernel.messaging.config;version="11.0.0";uses:="com.liferay.portal.k
 ernel.messaging",com.liferay.portal.kernel.metadata;version="10.0.0";
 uses:="com.liferay.dynamic.data.mapping.kernel,com.liferay.portal.ker
 nel.exception",com.liferay.portal.kernel.microsofttranslator;version=
 "7.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.porta
 l.kernel.mobile.device;version="9.0.0";uses:="javax.servlet.http",com
 .liferay.portal.kernel.model;version="28.2.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.expando.kernel.model,com.liferay.exportimp
 ort.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.ba
 se,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.app
 lication.type,com.liferay.portal.kernel.bean,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.
 model.change.tracking,com.liferay.portal.kernel.model.portlet,com.lif
 eray.portal.kernel.model.wrapper,com.liferay.portal.kernel.notificati
 ons,com.liferay.portal.kernel.plugin,com.liferay.portal.kernel.pop,co
 m.liferay.portal.kernel.portlet,com.liferay.portal.kernel.scheduler,c
 om.liferay.portal.kernel.search,com.liferay.portal.kernel.security.pe
 rmission,com.liferay.portal.kernel.security.permission.propagator,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.servlet,com.
 liferay.portal.kernel.template,com.liferay.portal.kernel.theme,com.li
 feray.portal.kernel.trash,com.liferay.portal.kernel.util,com.liferay.
 portal.kernel.webdav,com.liferay.portal.kernel.workflow,com.liferay.p
 ortal.kernel.xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.
 kernel.model,javax.portlet,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.model.adapter;version="5.1.0";uses:="com.liferay.po
 rtal.kernel.model",com.liferay.portal.kernel.model.adapter.builder;ve
 rsion="1.0.0",com.liferay.portal.kernel.model.cache;version="1.0.0",c
 om.liferay.portal.kernel.model.change.tracking;version="3.0.0";uses:=
 "com.liferay.portal.kernel.model",com.liferay.portal.kernel.model.dao
 ;version="2.5.0",com.liferay.portal.kernel.model.impl;version="7.2.0"
 ;uses:="com.liferay.expando.kernel.model,com.liferay.portal.kernel.ex
 ception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.service,javax.servlet.http
 ",com.liferay.portal.kernel.model.portlet;version="2.0.0";uses:="com.
 liferay.petra.string,javax.portlet",com.liferay.portal.kernel.model.r
 ole;version="1.2.0",com.liferay.portal.kernel.model.version;version="
 3.0.0",com.liferay.portal.kernel.model.wrapper;version="3.0.0";uses:=
 "com.liferay.expando.kernel.model,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.service",com.liferay.portal.kernel.module.conf
 iguration;version="2.1.0";uses:="com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.model,com.liferay.portal.kernel.settings",c
 om.liferay.portal.kernel.module.framework;version="1.4.0",com.liferay
 .portal.kernel.module.framework.service;version="1.0.1";uses:="com.li
 feray.portal.kernel.transaction,com.liferay.portal.kernel.util",com.l
 iferay.portal.kernel.monitoring;version="8.0.0";uses:="com.liferay.po
 rtal.kernel.exception,javax.portlet",com.liferay.portal.kernel.notifi
 cations;version="11.1.0";uses:="com.liferay.asset.kernel.model,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.json,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.service",com.lifera
 y.portal.kernel.openid;version="1.0.0",com.liferay.portal.kernel.pars
 ers.bbcode;version="7.0.0",com.liferay.portal.kernel.patcher;version=
 "8.0.0",com.liferay.portal.kernel.plugin;version="7.0.0";uses:="com.l
 iferay.portal.kernel.util",com.liferay.portal.kernel.pop;version="7.0
 .0";uses:="com.liferay.portal.kernel.exception,javax.mail",com.lifera
 y.portal.kernel.portlet;version="23.0.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.expando.kernel.model,com.liferay.exportimport.k
 ernel.lar,com.liferay.osgi.service.tracker.collections.map,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.notifications,com.lifer
 ay.portal.kernel.pop,com.liferay.portal.kernel.search,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.security.per
 mission.propagator,com.liferay.portal.kernel.servlet,com.liferay.port
 al.kernel.settings,com.liferay.portal.kernel.template,com.liferay.por
 tal.kernel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.k
 ernel.util,com.liferay.portal.kernel.webdav,com.liferay.portal.kernel
 .workflow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xml
 rpc,com.liferay.social.kernel.model,javax.portlet,javax.portlet.annot
 ations,javax.portlet.filter,javax.servlet,javax.servlet.http",com.lif
 eray.portal.kernel.portlet.async;version="1.0.1";uses:="javax.portlet
 ",com.liferay.portal.kernel.portlet.bridges.mvc;version="6.0.0";uses:
 ="com.liferay.portal.kernel.portlet,javax.portlet",com.liferay.portal
 .kernel.portlet.bridges.mvc.constants;version="1.0.0",com.liferay.por
 tal.kernel.portlet.configuration.icon;version="5.0.0";uses:="com.life
 ray.osgi.service.tracker.collections.map,javax.portlet,javax.servlet,
 javax.servlet.http,org.osgi.framework",com.liferay.portal.kernel.port
 let.configuration.icon.locator;version="1.0.0";uses:="javax.portlet",
 com.liferay.portal.kernel.portlet.constants;version="1.4.0",com.lifer
 ay.portal.kernel.portlet.render;version="1.0.0";uses:="com.liferay.po
 rtal.kernel.model,javax.servlet.http",com.liferay.portal.kernel.portl
 et.toolbar;version="1.0.0";uses:="com.liferay.portal.kernel.servlet.t
 aglib.ui,javax.portlet",com.liferay.portal.kernel.portlet.toolbar.con
 tributor;version="1.1.0";uses:="com.liferay.portal.kernel.servlet.tag
 lib.ui,javax.portlet",com.liferay.portal.kernel.portlet.toolbar.contr
 ibutor.locator;version="1.0.0";uses:="com.liferay.portal.kernel.portl
 et.toolbar.contributor,javax.portlet",com.liferay.portal.kernel.portl
 et.url.builder;version="2.0.0";uses:="com.liferay.portal.kernel.portl
 et,javax.portlet,javax.portlet.annotations",com.liferay.portal.kernel
 .portletdisplaytemplate;version="6.4.1";uses:="com.liferay.dynamic.da
 ta.mapping.kernel,com.liferay.portal.kernel.template,javax.servlet.ht
 tp",com.liferay.portal.kernel.portletfilerepository;version="5.0.0";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.repository.model,com.liferay.portal.ke
 rnel.search,com.liferay.portal.kernel.service,com.liferay.portal.kern
 el.theme,com.liferay.portal.kernel.util",com.liferay.portal.kernel.re
 direct;version="1.0.0",com.liferay.portal.kernel.regex;version="1.0.0
 ",com.liferay.portal.kernel.repository;version="13.0.0";uses:="com.li
 feray.asset.kernel.service,com.liferay.document.library.kernel.model,
 com.liferay.document.library.kernel.service,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.repository.capabilities,com.liferay.po
 rtal.kernel.repository.model,com.liferay.portal.kernel.resource.bundl
 e,com.liferay.portal.kernel.search,com.liferay.portal.kernel.service,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.repository.
 capabilities;version="2.0.0";uses:="com.liferay.portal.kernel.excepti
 on,com.liferay.portal.kernel.repository,com.liferay.portal.kernel.rep
 ository.event,com.liferay.portal.kernel.repository.model,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.util",com.liferay.por
 tal.kernel.repository.event;version="1.1.0";uses:="com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.repository.model,com.life
 ray.portal.kernel.repository.registry",com.liferay.portal.kernel.repo
 sitory.friendly.url.resolver;version="2.0.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.repository.model",com.li
 feray.portal.kernel.repository.http.header.customizer;version="1.0.0"
 ;uses:="com.liferay.portal.kernel.repository.model",com.liferay.porta
 l.kernel.repository.model;version="11.2.0";uses:="com.liferay.expando
 .kernel.model,com.liferay.exportimport.kernel.lar,com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.ke
 rnel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel.r
 epository.capabilities,com.liferay.portal.kernel.security.permission,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.repository.
 proxy;version="7.0.0";uses:="com.liferay.asset.kernel.service,com.lif
 eray.document.library.kernel.model,com.liferay.document.library.kerne
 l.service,com.liferay.expando.kernel.model,com.liferay.exportimport.k
 ernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.lock,com.liferay.portal.kernel.repository,com.liferay.portal.kerne
 l.repository.capabilities,com.liferay.portal.kernel.repository.model,
 com.liferay.portal.kernel.search,com.liferay.portal.kernel.security.p
 ermission,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .util",com.liferay.portal.kernel.repository.registry;version="1.1.0";
 uses:="com.liferay.portal.kernel.repository,com.liferay.portal.kernel
 .repository.capabilities,com.liferay.portal.kernel.repository.event",
 com.liferay.portal.kernel.repository.search;version="7.0.0";uses:="co
 m.liferay.portal.kernel.search",com.liferay.portal.kernel.repository.
 util;version="3.1.0";uses:="com.liferay.portal.kernel.repository.mode
 l",com.liferay.portal.kernel.resource;version="6.3.0",com.liferay.por
 tal.kernel.resource.bundle;version="1.0.0",com.liferay.portal.kernel.
 resource.manager;version="1.0.0";uses:="com.liferay.portal.kernel.res
 ource",com.liferay.portal.kernel.sanitizer;version="8.0.0";uses:="com
 .liferay.portal.kernel.exception",com.liferay.portal.kernel.scheduler
 ;version="17.0.0";uses:="com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.messaging,com.liferay.portal.kernel.scheduler.messa
 ging,javax.portlet",com.liferay.portal.kernel.scheduler.messaging;ver
 sion="9.0.0";uses:="com.liferay.portal.kernel.messaging,com.liferay.p
 ortal.kernel.scheduler",com.liferay.portal.kernel.scripting;version="
 9.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.
 liferay.portal.kernel.search;version="20.0.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.expando.kernel.model,com.liferay.petra.fun
 ction,com.liferay.petra.string,com.liferay.portal.kernel.backgroundta
 sk,com.liferay.portal.kernel.comment,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.json,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.portlet,com.liferay.portal.kernel.repository.
 model,com.liferay.portal.kernel.search.facet,com.liferay.portal.kerne
 l.search.filter,com.liferay.portal.kernel.search.geolocation,com.life
 ray.portal.kernel.search.query,com.liferay.portal.kernel.search.sugge
 st,com.liferay.portal.kernel.security.permission,com.liferay.portal.k
 ernel.theme,com.liferay.portal.kernel.xml,javax.portlet,javax.servlet
 .http",com.liferay.portal.kernel.search.analysis;version="2.0.0";uses
 :="com.liferay.portal.kernel.search",com.liferay.portal.kernel.search
 .background.task;version="2.0.0",com.liferay.portal.kernel.search.dum
 my;version="5.0.0";uses:="com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.search.filter,com.liferay.portal.kernel.search.sugges
 t,com.liferay.portal.kernel.security.permission,javax.portlet",com.li
 feray.portal.kernel.search.facet;version="9.0.0";uses:="com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.search,com.liferay.portal
 .kernel.search.facet.collector,com.liferay.portal.kernel.search.facet
 .config,com.liferay.portal.kernel.search.facet.util,com.liferay.porta
 l.kernel.search.filter",com.liferay.portal.kernel.search.facet.collec
 tor;version="6.3.0",com.liferay.portal.kernel.search.facet.config;ver
 sion="8.0.0";uses:="com.liferay.portal.kernel.json",com.liferay.porta
 l.kernel.search.facet.faceted.searcher;version="2.0.0";uses:="com.lif
 eray.portal.kernel.search",com.liferay.portal.kernel.search.facet.uti
 l;version="7.0.0";uses:="com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.search.facet",com.liferay.portal.kernel.search.filter;
 version="1.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.p
 ortal.kernel.search.geolocation",com.liferay.portal.kernel.search.gen
 eric;version="3.0.0";uses:="com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.search.filter,com.liferay.portal.kernel.search.quer
 y",com.liferay.portal.kernel.search.geolocation;version="1.0.0",com.l
 iferay.portal.kernel.search.highlight;version="1.0.0";uses:="com.life
 ray.portal.kernel.search",com.liferay.portal.kernel.search.hits;versi
 on="2.0.0";uses:="com.liferay.portal.kernel.search",com.liferay.porta
 l.kernel.search.query;version="2.0.0";uses:="com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.search.generic",com.liferay.portal
 .kernel.search.reindexer;version="1.0.0",com.liferay.portal.kernel.se
 arch.result;version="1.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.search,javax.portlet",com.liferay.portal.
 kernel.search.suggest;version="3.1.1";uses:="com.liferay.portal.kerne
 l.search",com.liferay.portal.kernel.security;version="6.2.0",com.life
 ray.portal.kernel.security.access.control;version="2.0.0";uses:="com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.security.au
 th,com.liferay.portal.kernel.security.auth.verifier,javax.servlet.htt
 p",com.liferay.portal.kernel.security.auth;version="6.0.0";uses:="com
 .liferay.petra.lang,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.port
 al.kernel.security.auth.verifier,com.liferay.portal.kernel.security.p
 ermission,javax.servlet.http,org.osgi.framework,org.osgi.util.tracker
 ",com.liferay.portal.kernel.security.auth.http;version="1.1.0";uses:=
 "com.liferay.portal.kernel.exception,javax.servlet.http",com.liferay.
 portal.kernel.security.auth.session;version="1.0.0";uses:="com.lifera
 y.portal.kernel.exception,javax.servlet.http",com.liferay.portal.kern
 el.security.auth.tunnel;version="1.0.0";uses:="com.liferay.portal.ker
 nel.security.auth,javax.servlet.http",com.liferay.portal.kernel.secur
 ity.auth.verifier;version="2.0.0";uses:="com.liferay.portal.kernel.se
 curity.auth",com.liferay.portal.kernel.security.auto.login;version="2
 .0.0";uses:="com.liferay.portal.kernel.exception,javax.servlet.http",
 com.liferay.portal.kernel.security.exportimport;version="1.0.0",com.l
 iferay.portal.kernel.security.jaas;version="7.0.0";uses:="javax.secur
 ity.auth,javax.security.auth.callback,javax.security.auth.login,javax
 .security.auth.spi",com.liferay.portal.kernel.security.ldap;version="
 2.0.0";uses:="javax.naming.directory",com.liferay.portal.kernel.secur
 ity.membershippolicy;version="1.0.0";uses:="com.liferay.asset.kernel.
 model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.security.permission,com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.security.permission;version="
 6.3.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.exp
 ression,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.model,com.liferay.portal.kernel.secu
 rity.permission.contributor,com.liferay.portal.kernel.security.permis
 sion.propagator,com.liferay.portal.kernel.xml,javax.servlet.http",com
 .liferay.portal.kernel.security.permission.comparator;version="1.0.0"
 ,com.liferay.portal.kernel.security.permission.contributor;version="1
 .0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.security.permission",com.liferay.portal.kernel.security.permission.
 propagator;version="1.0.0";uses:="com.liferay.portal.kernel.exception
 ,javax.portlet",com.liferay.portal.kernel.security.permission.resourc
 e;version="2.2.0";uses:="com.liferay.exportimport.kernel.staging.perm
 ission,com.liferay.petra.function,com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.model,com.liferay.portal.kernel.security.a
 uth,com.liferay.portal.kernel.security.permission,com.liferay.portal.
 kernel.service,com.liferay.portal.kernel.workflow.permission",com.lif
 eray.portal.kernel.security.permission.resource.definition;version="1
 .0.1";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.security.permission.resource",c
 om.liferay.portal.kernel.security.permission.wrapper;version="1.0.0";
 uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.secu
 rity.permission,com.liferay.portal.kernel.security.permission.contrib
 utor",com.liferay.portal.kernel.security.pwd;version="4.0.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.model",c
 om.liferay.portal.kernel.security.service.access.policy;version="1.1.
 0",com.liferay.portal.kernel.security.sso;version="1.0.0";uses:="java
 x.servlet.http",com.liferay.portal.kernel.security.xml;version="2.0.0
 ";uses:="javax.xml.parsers,javax.xml.stream,javax.xml.transform,org.x
 ml.sax",com.liferay.portal.kernel.service;version="19.4.0";uses:="com
 .liferay.announcements.kernel.model,com.liferay.expando.kernel.model,
 com.liferay.exportimport.kernel.lar,com.liferay.petra.function,com.li
 feray.petra.sql.dsl.query,com.liferay.portal.kernel.cache.thread.loca
 l,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel
 .cluster,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.
 exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.js
 onwebservice,com.liferay.portal.kernel.messaging.async,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.notifications,com.liferay
 .portal.kernel.plugin,com.liferay.portal.kernel.portlet,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.search,com.li
 feray.portal.kernel.security.access.control,com.liferay.portal.kernel
 .security.auth,com.liferay.portal.kernel.security.permission,com.life
 ray.portal.kernel.service.change.tracking,com.liferay.portal.kernel.s
 ervice.configuration,com.liferay.portal.kernel.service.permission,com
 .liferay.portal.kernel.service.persistence,com.liferay.portal.kernel.
 service.persistence.change.tracking,com.liferay.portal.kernel.setting
 s,com.liferay.portal.kernel.spring.aop,com.liferay.portal.kernel.syst
 emevent,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.tra
 nsaction,com.liferay.portal.kernel.upgrade,com.liferay.portal.kernel.
 upload,com.liferay.portal.kernel.util,com.liferay.portal.kernel.xml,j
 avax.portlet,javax.servlet,javax.servlet.http",com.liferay.portal.ker
 nel.service.change.tracking;version="1.0.0";uses:="com.liferay.petra.
 function,com.liferay.portal.kernel.model.change.tracking,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.transaction",com.liferay.portal.kernel.service.configuration;v
 ersion="1.1.1",com.liferay.portal.kernel.service.configuration.servle
 t;version="1.1.0";uses:="com.liferay.portal.kernel.service.configurat
 ion,javax.servlet",com.liferay.portal.kernel.service.http;version="1.
 0.0";uses:="com.liferay.portal.kernel.security.auth,com.liferay.porta
 l.kernel.util",com.liferay.portal.kernel.service.permission;version="
 5.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.model,com.liferay.portal.kernel.security.auth,com.liferay.port
 al.kernel.security.permission,javax.portlet,javax.servlet.http",com.l
 iferay.portal.kernel.service.persistence;version="19.0.0";uses:="com.
 liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.db,com.life
 ray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.service,com.lifera
 y.portal.kernel.service.persistence.change.tracking,com.liferay.porta
 l.kernel.util,javax.sql",com.liferay.portal.kernel.service.persistenc
 e.change.tracking;version="1.4.0";uses:="com.liferay.portal.kernel.ch
 ange.tracking,com.liferay.portal.kernel.model.change.tracking,com.lif
 eray.portal.kernel.service.persistence",com.liferay.portal.kernel.ser
 vice.persistence.change.tracking.helper;version="1.1.0";uses:="com.li
 feray.portal.kernel.model.change.tracking",com.liferay.portal.kernel.
 service.persistence.impl;version="4.1.0";uses:="com.liferay.petra.sql
 .dsl,com.liferay.petra.sql.dsl.query,com.liferay.petra.string,com.lif
 eray.portal.kernel.configuration,com.liferay.portal.kernel.dao.db,com
 .liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.model,com.liferay.portal.kernel.service,com.l
 iferay.portal.kernel.service.persistence,com.liferay.portal.kernel.ut
 il,javax.sql",com.liferay.portal.kernel.service.version;version="1.1.
 0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model.version",com.liferay.portal.kernel.servlet;version="11.2.0";
 uses:="com.liferay.petra.string,com.liferay.portal.kernel.log,com.lif
 eray.portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.htt
 p",com.liferay.portal.kernel.servlet.filters.compoundsessionid;versio
 n="7.0.0";uses:="com.liferay.portal.kernel.servlet,javax.servlet.http
 ",com.liferay.portal.kernel.servlet.filters.invoker;version="10.0.0";
 uses:="com.liferay.portal.kernel.util,javax.servlet,javax.servlet.htt
 p",com.liferay.portal.kernel.servlet.taglib;version="9.0.0";uses:="co
 m.liferay.petra.string,com.liferay.portal.kernel.log,javax.servlet,ja
 vax.servlet.http",com.liferay.portal.kernel.servlet.taglib.aui;versio
 n="10.1.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.
 util",com.liferay.portal.kernel.servlet.taglib.ui;version="11.0.0";us
 es:="com.liferay.petra.string,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.model,com.liferay.portal.kernel.util,javax.ser
 vlet,javax.servlet.http",com.liferay.portal.kernel.servlet.taglib.uti
 l;version="7.0.0";uses:="com.liferay.petra.string,com.liferay.portal.
 kernel.util",com.liferay.portal.kernel.settings;version="3.2.0";uses:
 ="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.resource.manager,javax.portlet",com.lifera
 y.portal.kernel.settings.definition;version="2.0.0",com.liferay.porta
 l.kernel.social;version="2.0.0";uses:="com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,com.liferay.social.kernel.servi
 ce",com.liferay.portal.kernel.spring.aop;version="7.0.0";uses:="com.l
 iferay.portal.kernel.service",com.liferay.portal.kernel.spring.orm;ve
 rsion="1.0.0",com.liferay.portal.kernel.spring.osgi;version="2.0.0",c
 om.liferay.portal.kernel.spring.util;version="7.0.0",com.liferay.port
 al.kernel.struts;version="8.0.0";uses:="javax.servlet.http",com.lifer
 ay.portal.kernel.systemevent;version="6.2.0",com.liferay.portal.kerne
 l.template;version="14.1.0";uses:="com.liferay.dynamic.data.mapping.k
 ernel,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.x
 ml,javax.servlet.http",com.liferay.portal.kernel.template.comparator;
 version="6.2.0";uses:="com.liferay.portal.kernel.template",com.lifera
 y.portal.kernel.templateparser;version="8.0.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.theme,com.liferay.port
 al.kernel.xml",com.liferay.portal.kernel.terms.of.use;version="1.0.1"
 ;uses:="javax.servlet.http",com.liferay.portal.kernel.theme;version="
 10.4.0";uses:="com.liferay.petra.string,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.json,com.liferay.portal.kernel.mobil
 e.device,com.liferay.portal.kernel.model,com.liferay.portal.kernel.mo
 dule.configuration,com.liferay.portal.kernel.portlet.configuration.ic
 on,com.liferay.portal.kernel.portlet.toolbar,com.liferay.portal.kerne
 l.security.permission,com.liferay.portal.kernel.util,javax.portlet,ja
 vax.servlet,javax.servlet.http",com.liferay.portal.kernel.transaction
 ;version="8.1.0",com.liferay.portal.kernel.trash;version="14.0.0";use
 s:="com.liferay.asset.kernel.model,com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,co
 m.liferay.portal.kernel.search.filter,com.liferay.portal.kernel.secur
 ity.permission,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.util,com.liferay.trash.kernel.model,javax.portlet",com.liferay.
 portal.kernel.trash.helper;version="1.1.0";uses:="com.liferay.portal.
 kernel.exception,com.liferay.portal.kernel.model,javax.portlet,javax.
 servlet.http",com.liferay.portal.kernel.tree;version="2.1.1";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.model",c
 om.liferay.portal.kernel.upgrade;version="19.2.0";uses:="com.liferay.
 petra.lang,com.liferay.portal.kernel.dao.db,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.resource.bundle,com.liferay.port
 al.kernel.service,com.liferay.portal.kernel.util,com.liferay.portal.k
 ernel.xml,javax.portlet",com.liferay.portal.kernel.upgrade.util;versi
 on="10.3.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.upgrade,com.liferay.portal.kernel.version",com.liferay.portal
 .kernel.upload;version="10.0.0";uses:="com.liferay.portal.kernel.exce
 ption,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.upl
 oad.configuration;version="1.0.0",com.liferay.portal.kernel.url;versi
 on="1.1.0";uses:="javax.servlet",com.liferay.portal.kernel.url.valida
 tor;version="1.0.0",com.liferay.portal.kernel.util;version="56.0.0";u
 ses:="com.liferay.expando.kernel.model,com.liferay.mail.kernel.model,
 com.liferay.petra.process,com.liferay.petra.sql.dsl.query.sort,com.li
 feray.petra.string,com.liferay.portal.kernel.configuration,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.group.capability,
 com.liferay.portal.kernel.io,com.liferay.portal.kernel.io.unsync,com.
 liferay.portal.kernel.json,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.portlet,com.liferay.portal.kernel.repository.model,co
 m.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.sec
 urity.permission,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.settings,com.liferay.portal.kernel.spring.osgi,com.liferay.po
 rtal.kernel.theme,com.liferay.portal.kernel.upload,com.liferay.portal
 .kernel.xml,javax.mail,javax.mail.internet,javax.portlet,javax.servle
 t,javax.servlet.http,javax.sql",com.liferay.portal.kernel.util.compar
 ator;version="3.1.0";uses:="com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.portlet.configuration.icon,com.liferay.portal.kernel
 .util,javax.servlet",com.liferay.portal.kernel.uuid;version="6.2.0",c
 om.liferay.portal.kernel.verify.model;version="2.1.0",com.liferay.por
 tal.kernel.version;version="1.1.0",com.liferay.portal.kernel.view.cou
 nt;version="1.2.0";uses:="com.liferay.petra.sql.dsl,com.liferay.porta
 l.kernel.exception",com.liferay.portal.kernel.webcache;version="6.2.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kern
 el.webdav;version="10.0.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.security.permission,com.liferay.portal.kernel.we
 bdav.methods,com.liferay.portal.kernel.xml,javax.servlet.http",com.li
 feray.portal.kernel.webdav.methods;version="6.2.0";uses:="com.liferay
 .portal.kernel.webdav,javax.servlet.http",com.liferay.portal.kernel.w
 ebserver;version="1.0.0",com.liferay.portal.kernel.words;version="2.0
 .0";uses:="com.liferay.portal.kernel.jazzy",com.liferay.portal.kernel
 .workflow;version="18.1.0";uses:="com.liferay.asset.kernel.model,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com.l
 iferay.portal.kernel.portlet,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.util,com.liferay.portal.kernel.workflow.search,ja
 vax.portlet,javax.servlet.http",com.liferay.portal.kernel.workflow.co
 mparator;version="8.0.0";uses:="com.liferay.portal.kernel.util,com.li
 feray.portal.kernel.workflow",com.liferay.portal.kernel.workflow.perm
 ission;version="7.0.0";uses:="com.liferay.portal.kernel.security.perm
 ission",com.liferay.portal.kernel.workflow.search;version="1.0.0";use
 s:="com.liferay.portal.kernel.workflow",com.liferay.portal.kernel.xml
 ;version="7.1.0";uses:="org.xml.sax",com.liferay.portal.kernel.xml.si
 mple;version="6.2.0",com.liferay.portal.kernel.xmlrpc;version="6.2.0"
 ;uses:="com.liferay.portal.kernel.exception",com.liferay.portal.kerne
 l.zip;version="6.4.2",com.liferay.portlet.configuration.kernel.util;v
 ersion="1.0.0";uses:="javax.portlet",com.liferay.ratings.kernel;versi
 on="1.2.0",com.liferay.ratings.kernel.definition;version="1.1.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.ratings.kernel",co
 m.liferay.ratings.kernel.display.context;version="1.0.0";uses:="com.l
 iferay.portal.kernel.util,com.liferay.ratings.kernel,javax.portlet,ja
 vax.servlet.http",com.liferay.ratings.kernel.exception;version="1.0.0
 ";uses:="com.liferay.portal.kernel.exception",com.liferay.ratings.ker
 nel.model;version="4.1.0";uses:="com.liferay.exportimport.kernel.lar,
 com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.
 portal.kernel.annotation,com.liferay.portal.kernel.bean,com.liferay.p
 ortal.kernel.model,com.liferay.portal.kernel.model.change.tracking,co
 m.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.util"
 ,com.liferay.ratings.kernel.service;version="2.6.0";uses:="com.lifera
 y.exportimport.kernel.lar,com.liferay.petra.function,com.liferay.petr
 a.sql.dsl.query,com.liferay.portal.kernel.change.tracking,com.liferay
 .portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model,com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.security.access.
 control,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.change.tracking,com.liferay.portal.kernel.service.persistence.
 change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.por
 tal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.rat
 ings.kernel.model",com.liferay.ratings.kernel.service.persistence;ver
 sion="4.2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.service.persistence,com.
 liferay.portal.kernel.service.persistence.change.tracking,com.liferay
 .portal.kernel.util,com.liferay.ratings.kernel.exception,com.liferay.
 ratings.kernel.model",com.liferay.ratings.kernel.transformer;version=
 "1.0.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.exception,com.liferay.portal.kernel.util,com.liferay.ratings.ke
 rnel,com.liferay.ratings.kernel.model,javax.portlet",com.liferay.role
 s.admin.kernel.util;version="2.0.0";uses:="com.liferay.portal.kernel.
 model",com.liferay.sites.kernel.util;version="1.4.0";uses:="com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.service
 ,javax.portlet,javax.servlet.http",com.liferay.social.kernel.exceptio
 n;version="1.0.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.social.kernel.model;version="6.1.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.base,co
 m.liferay.portal.kernel.annotation,com.liferay.portal.kernel.bean,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.l
 iferay.portal.kernel.model,com.liferay.portal.kernel.model.change.tra
 cking,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kern
 el.resource.bundle,com.liferay.portal.kernel.security.permission,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.theme,com.lif
 eray.portal.kernel.util",com.liferay.social.kernel.model.impl;version
 ="1.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,com.liferay.portal.kernel.service,com.li
 feray.portal.kernel.theme,com.liferay.social.kernel.model",com.lifera
 y.social.kernel.service;version="3.0.0";uses:="com.liferay.asset.kern
 el.model,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.da
 o.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.j
 son,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.kerne
 l.messaging.async,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.search,com.liferay.portal.kernel.security.access.control,com.l
 iferay.portal.kernel.service,com.liferay.portal.kernel.service.change
 .tracking,com.liferay.portal.kernel.service.persistence.change.tracki
 ng,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.transact
 ion,com.liferay.portal.kernel.util,com.liferay.social.kernel.model",c
 om.liferay.social.kernel.service.permission;version="1.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.security.
 permission",com.liferay.social.kernel.service.persistence;version="4.
 2.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.service.persistence.change.tracking,com.liferay.portal.
 kernel.util,com.liferay.social.kernel.exception,com.liferay.social.ke
 rnel.model",com.liferay.social.kernel.util;version="1.0.0";uses:="com
 .liferay.portal.kernel.service,com.liferay.social.kernel.model,javax.
 servlet.http",com.liferay.social.kernel.util.comparator;version="1.1.
 0";uses:="com.liferay.portal.kernel.util,com.liferay.social.kernel.mo
 del",com.liferay.trash.kernel.model;version="6.0.0";uses:="com.lifera
 y.expando.kernel.model,com.liferay.portal.kernel.annotation,com.lifer
 ay.portal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.util",com.liferay.users.
 admin.kernel.file.uploads;version="2.0.0",com.liferay.users.admin.ker
 nel.organization.types;version="1.0.1",com.liferay.users.admin.kernel
 .util;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.util,
 javax.portlet,javax.servlet.http"
Git-Descriptor: 48454bdcb1adb-dirty
Git-SHA: 48454bdcb1adb0d71263b9edd2a5bc1350107c04
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[4.1,4.2)",com
 .liferay.asset.kernel.exception;version="[3.0,4)",com.liferay.asset.k
 ernel.model;version="[9.2,9.3)",com.liferay.asset.kernel.service;vers
 ion="[8.0,8.1)",com.liferay.asset.kernel.service.persistence;version=
 "[10.0,11)",com.liferay.counter.kernel.service;version="[2.1,2.2)",co
 m.liferay.document.library.kernel.exception;version="[4.1,5)",com.lif
 eray.document.library.kernel.model;version="[8.1,8.2)",com.liferay.do
 cument.library.kernel.service;version="[10.0,10.1)",com.liferay.docum
 ent.library.kernel.store;version="[3.1,4)",com.liferay.document.libra
 ry.kernel.util;version="[8.0,9)",com.liferay.dynamic.data.mapping.ker
 nel;version="[3.0,4)",com.liferay.expando.kernel.exception;version="[
 2.0,3)",com.liferay.expando.kernel.model;version="[6.0,6.1)",com.life
 ray.expando.kernel.util;version="[4.0,5)",com.liferay.exportimport.ke
 rnel.exception;version="[2.1,3)",com.liferay.exportimport.kernel.mode
 l;version="[6.0,6.1)",com.liferay.exportimport.kernel.service;version
 ="[2.7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.3,3)
 ",com.liferay.exportimport.kernel.staging.permission;version="[1.0,2)
 ",com.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay
 .mail.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;
 version="[5.0,6)",com.liferay.mail.kernel.template;version="[2.0,3)",
 com.liferay.osgi.service.tracker.collections.list,com.liferay.osgi.se
 rvice.tracker.collections.map,com.liferay.petra.concurrent,com.lifera
 y.petra.executor,com.liferay.petra.function,com.liferay.petra.functio
 n.transform,com.liferay.petra.io.unsync,com.liferay.petra.lang,com.li
 feray.petra.memory,com.liferay.petra.nio,com.liferay.petra.process,co
 m.liferay.petra.reflect,com.liferay.petra.sql.dsl,com.liferay.petra.s
 ql.dsl.ast,com.liferay.petra.sql.dsl.base,com.liferay.petra.sql.dsl.e
 xpression,com.liferay.petra.sql.dsl.query,com.liferay.petra.sql.dsl.q
 uery.sort,com.liferay.petra.sql.dsl.spi.ast,com.liferay.petra.sql.dsl
 .spi.expression,com.liferay.petra.sql.dsl.spi.query,com.liferay.petra
 .string,com.liferay.portal.kernel.annotation;version="[7.0,8)",com.li
 feray.portal.kernel.application.type;version="[1.0,2)",com.liferay.po
 rtal.kernel.backgroundtask;version="[10.0,11)",com.liferay.portal.ker
 nel.backgroundtask.display;version="[3.0,4)",com.liferay.portal.kerne
 l.bean;version="[10.1,11)",com.liferay.portal.kernel.cache.thread.loc
 al;version="[2.0,3)",com.liferay.portal.kernel.cal;version="[7.0,8)",
 com.liferay.portal.kernel.change.tracking;version="[2.2,3)",com.lifer
 ay.portal.kernel.comment;version="[4.0,4.1)",com.liferay.portal.kerne
 l.concurrent;version="[8.0,9)",com.liferay.portal.kernel.configuratio
 n;version="[7.0,8)",com.liferay.portal.kernel.cookies;version="[3.1,4
 )",com.liferay.portal.kernel.dao.db;version="[10.2,11)",com.liferay.p
 ortal.kernel.dao.orm;version="[12.0,12.1)",com.liferay.portal.kernel.
 dao.search;version="[9.0,10)",com.liferay.portal.kernel.deploy.auto.c
 ontext;version="[7.0,8)",com.liferay.portal.kernel.deploy.hot;version
 ="[7.1,8)",com.liferay.portal.kernel.exception;version="[13.1,14)",co
 m.liferay.portal.kernel.frontend.esm;version="[1.0,2)",com.liferay.po
 rtal.kernel.image;version="[10.0,11)",com.liferay.portal.kernel.incre
 ment;version="[7.1,8)",com.liferay.portal.kernel.io;version="[9.0,10)
 ",com.liferay.portal.kernel.io.unsync;version="[8.0,9)",com.liferay.p
 ortal.kernel.jazzy;version="[1.0,2)",com.liferay.portal.kernel.jmx.mo
 del;version="[7.0,8)",com.liferay.portal.kernel.jndi;version="[7.0,8)
 ",com.liferay.portal.kernel.json;version="[11.0,12)",com.liferay.port
 al.kernel.jsonwebservice;version="[9.0,10)",com.liferay.portal.kernel
 .language;version="[11.0,12)",com.liferay.portal.kernel.language.cons
 tants;version="[1.0,2)",com.liferay.portal.kernel.license;version="[1
 .0,2)",com.liferay.portal.kernel.lock;version="[9.0,10)",com.liferay.
 portal.kernel.management;version="[8.0,9)",com.liferay.portal.kernel.
 messaging;version="[15.0,15.1)",com.liferay.portal.kernel.messaging.a
 sync;version="[6.2,7)",com.liferay.portal.kernel.mobile.device;versio
 n="[9.0,9.1)",com.liferay.portal.kernel.model.adapter.builder;version
 ="[1.0,2)",com.liferay.portal.kernel.model.change.tracking;version="[
 3.0,4)",com.liferay.portal.kernel.model.dao;version="[2.5,3)",com.lif
 eray.portal.kernel.model.impl;version="[7.2,8)",com.liferay.portal.ke
 rnel.model.portlet;version="[2.0,3)",com.liferay.portal.kernel.model.
 version;version="[3.0,4)",com.liferay.portal.kernel.model.wrapper;ver
 sion="[3.0,4)",com.liferay.portal.kernel.module.configuration;version
 ="[2.1,3)",com.liferay.portal.kernel.module.framework;version="[1.4,2
 )",com.liferay.portal.kernel.plugin;version="[7.0,8)",com.liferay.por
 tal.kernel.pop;version="[7.0,8)",com.liferay.portal.kernel.portlet.br
 idges.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.portl
 et.configuration.icon.locator;version="[1.0,2)",com.liferay.portal.ke
 rnel.portlet.toolbar.contributor;version="[1.1,2)",com.liferay.portal
 .kernel.portlet.toolbar.contributor.locator;version="[1.0,2)",com.lif
 eray.portal.kernel.repository;version="[13.0,14)",com.liferay.portal.
 kernel.repository.capabilities;version="[2.0,2.1)",com.liferay.portal
 .kernel.repository.event;version="[1.1,2)",com.liferay.portal.kernel.
 repository.http.header.customizer;version="[1.0,2)",com.liferay.porta
 l.kernel.repository.model;version="[11.2,11.3)",com.liferay.portal.ke
 rnel.repository.registry;version="[1.1,2)",com.liferay.portal.kernel.
 repository.search;version="[7.0,8)",com.liferay.portal.kernel.resourc
 e;version="[6.3,7)",com.liferay.portal.kernel.resource.manager;versio
 n="[1.0,2)",com.liferay.portal.kernel.scheduler;version="[17.0,18)",c
 om.liferay.portal.kernel.scheduler.messaging;version="[9.0,10)",com.l
 iferay.portal.kernel.search.background.task;version="[2.0,3)",com.lif
 eray.portal.kernel.search.facet;version="[9.0,10)",com.liferay.portal
 .kernel.search.facet.collector;version="[6.3,7)",com.liferay.portal.k
 ernel.search.facet.config;version="[8.0,9)",com.liferay.portal.kernel
 .search.facet.util;version="[7.0,8)",com.liferay.portal.kernel.search
 .filter;version="[1.0,2)",com.liferay.portal.kernel.search.generic;ve
 rsion="[3.0,4)",com.liferay.portal.kernel.search.geolocation;version=
 "[1.0,2)",com.liferay.portal.kernel.search.highlight;version="[1.0,2)
 ",com.liferay.portal.kernel.search.hits;version="[2.0,3)",com.liferay
 .portal.kernel.search.query;version="[2.0,3)",com.liferay.portal.kern
 el.search.result;version="[1.0,2)",com.liferay.portal.kernel.search.s
 uggest;version="[3.1,4)",com.liferay.portal.kernel.security;version="
 [6.2,7)",com.liferay.portal.kernel.security.auth.tunnel;version="[1.0
 ,2)",com.liferay.portal.kernel.security.auth.verifier;version="[2.0,3
 )",com.liferay.portal.kernel.security.permission.contributor;version=
 "[1.0,2)",com.liferay.portal.kernel.security.permission.propagator;ve
 rsion="[1.0,2)",com.liferay.portal.kernel.security.permission.resourc
 e.definition;version="[1.0,2)",com.liferay.portal.kernel.security.pwd
 ;version="[4.0,5)",com.liferay.portal.kernel.security.xml;version="[2
 .0,3)",com.liferay.portal.kernel.service.change.tracking;version="[1.
 0,2)",com.liferay.portal.kernel.service.configuration;version="[1.1,1
 .2)",com.liferay.portal.kernel.service.persistence;version="[19.0,20)
 ",com.liferay.portal.kernel.service.persistence.change.tracking;versi
 on="[1.4,2)",com.liferay.portal.kernel.servlet.filters.compoundsessio
 nid;version="[7.0,8)",com.liferay.portal.kernel.settings;version="[3.
 2,4)",com.liferay.portal.kernel.spring.aop;version="[7.0,8)",com.life
 ray.portal.kernel.spring.orm;version="[1.0,2)",com.liferay.portal.ker
 nel.spring.osgi;version="[2.0,3)",com.liferay.portal.kernel.systemeve
 nt;version="[6.2,7)",com.liferay.portal.kernel.trash.helper;version="
 [1.1,2)",com.liferay.portal.kernel.upgrade;version="[19.2,20)",com.li
 feray.portal.kernel.upgrade.util;version="[10.3,11)",com.liferay.port
 al.kernel.upload;version="[10.0,11)",com.liferay.portal.kernel.util.c
 omparator;version="[3.1,4)",com.liferay.portal.kernel.uuid;version="[
 6.2,7)",com.liferay.portal.kernel.version;version="[1.1,2)",com.lifer
 ay.portal.kernel.webdav.methods;version="[6.2,7)",com.liferay.portal.
 kernel.webserver;version="[1.0,2)",com.liferay.portal.kernel.workflow
 .permission;version="[7.0,8)",com.liferay.portal.kernel.workflow.sear
 ch;version="[1.0,2)",com.liferay.portal.kernel.xml;version="[7.1,7.2)
 ",com.liferay.portal.kernel.xml.simple;version="[6.2,7)",com.liferay.
 portal.kernel.xmlrpc;version="[6.2,7)",com.liferay.portal.kernel.zip;
 version="[6.4,7)",com.liferay.ratings.kernel;version="[1.2,2)",com.li
 feray.ratings.kernel.exception;version="[1.0,2)",com.liferay.ratings.
 kernel.model;version="[4.1,4.2)",com.liferay.ratings.kernel.service;v
 ersion="[2.6,2.7)",com.liferay.ratings.kernel.transformer;version="[1
 .0,2)",com.liferay.sites.kernel.util;version="[1.4,2)",com.liferay.so
 cial.kernel.exception;version="[1.0,2)",com.liferay.social.kernel.mod
 el;version="[6.1,6.2)",com.liferay.social.kernel.service;version="[3.
 0,3.1)",com.liferay.social.kernel.service.persistence;version="[4.2,5
 )",com.liferay.trash.kernel.model;version="[6.0,6.1)",com.liferay.use
 rs.admin.kernel.file.uploads;version="[2.0,3)",javax.mail,javax.mail.
 internet,javax.management,javax.naming,javax.naming.directory,javax.n
 et.ssl,javax.portlet,javax.portlet.annotations,javax.portlet.filter,j
 avax.security.auth,javax.security.auth.callback,javax.security.auth.l
 ogin,javax.security.auth.spi,javax.servlet,javax.servlet.http,javax.s
 ql,javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.t
 ransform,org.osgi.framework,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Mar 17 00:00:00 PDT 2023
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Fri Jun 6 08:23:25 PDT 2025
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 68 (Cavanaugh / Build 7413 / March 17, 2023)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 68
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
